Support » Plugin: Advanced Product Fields (Product Addons) for WooCommerce » The message “The field XXX is required.” is not translated

  • Resolved Christophe S.

    (@csanceau)


    Hi,
    I’m developing a French WordPress website and I’m using the amazing Advanced Product Fields plugin. The “required” option is working fine on a field but if I don’t set the mandatory field and click on “add to cart”, the follinng message appears in English : “The field fieldName is required.”

    I had a look at the file “wp-content\plugins\advanced-product-fields-for-woocommerce\includes\controllers\class-product-controller.php” and I can see that the field name is included in the translation key.

    
    wc_add_notice(__('The field "' . esc_html($field->label) . '" is required.', 'advanced-product-fields-for-woocommerce'), 'error');
    

    This translation is not present in the POT file.

    Can you help me ?

Viewing 4 replies - 1 through 4 (of 4 total)
Viewing 4 replies - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.